<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="{{ asset('css/bootstrap.min.css') }}">
    <title>Task to Do</title>
</head>
<body>
<div class="container-fluid">
    <table class="mt-4 table table-dark table-hover">
        <thead>
        <tr>
            <th colspan="4" class="bg-success">
                <h1 class="text-center text-light">LIST TO DO</h1>
            </th>
        </tr>
        </thead>
        <tbody>

        {% if listToDo is defined %} <!-- Nếu tồn tại listToDO -->
            {% for task in listToDo %} <!-- Dùng vòng lặp for để in ra từng công việc phải làm -->
                <tr>
                    <td  id="{{ task.id }}">{{ task.taskName }}</td>
                    <td style="float: right;"><button style=" cursor: pointer;" onclick="deleteTask({{ task.id }})">&times</button></td>
                </tr>
            {% endfor %}
        {% endif %}
        </tbody>
    </table>
    <div>
        <form action="{{ path('createTask') }}" method="post" id="list-to-do-form" >
            <label for="taskName">Task Name:</label>
            <input type="hidden" name="idTask" >
            <input type="text" name="taskName" id="taskName" size="100"  required="required">
            <button href="" type="submit">Save</button>
        </form>
    </div>
</div>
<script>
        function deleteTask(id) {
            window.location.href += "delete/" + id;
        }
</script>

</body>
</html>